### Signal

# Gtk Button::activate

#### Declaration

    void
    activate (
      GtkButton* self,
      gpointer user_data
    )

#### Description [src]

Emitted to animate press then release.

This is an action signal. Applications should never connect to this signal, but use the `GtkButton::clicked` signal.

The default bindings for this signal are all forms of the `␣` and `Enter` keys.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code